Add leads
curl --request POST \
--url https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platformIds": [
"<string>"
],
"accountId": "<string>"
}
'import requests
url = "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects"
payload = {
"platformIds": ["<string>"],
"accountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({platformIds: ['<string>'], accountId: '<string>'})
};
fetch('https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'platformIds' => [
'<string>'
],
'accountId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects"
payload := strings.NewReader("{\n \"platformIds\": [\n \"<string>\"\n ],\n \"accountId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"platformIds\": [\n \"<string>\"\n ],\n \"accountId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"platformIds\": [\n \"<string>\"\n ],\n \"accountId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"prospects": [
{
"canDm": true,
"followers": 123,
"following": 123,
"tweets": 123,
"createdAt": "2023-11-07T05:31:56Z",
"verified": "<string>",
"isVerified": true,
"isBlueVerified": true,
"profileType": "<string>",
"degree": 123,
"isPremium": true,
"headline": "<string>",
"currentCompany": "<string>",
"industry": "<string>",
"positions": [
"<unknown>"
],
"careerStartedOn": "<string>",
"experience": {},
"seniority": "<string>",
"education": [
"<unknown>"
],
"skills": [
"<unknown>"
],
"languages": [
"<unknown>"
],
"certifications": [
"<unknown>"
],
"id": "<string>",
"platform": "linkedin",
"leadListId": "<string>",
"accountId": "<string>",
"origin": {},
"leadListIds": [
"<string>"
],
"accountIds": [
"<unknown>"
],
"origins": [
"<unknown>"
],
"favorite": true,
"statusId": "<string>",
"valuation": 123,
"hasNote": true,
"labels": [
{
"id": "7c1f0c52-6d1a-4a49-9a63-2b3c4d5e6f70",
"label": "Hot lead",
"color": "#e24c5d"
}
],
"platformId": "<string>",
"handle": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"coverUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"profileUrl": "<string>",
"websiteUrl": "<string>"
}
]
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Lead lists
Add leads
Adds people to a lead list by their network ID.
POST
/
leads
/
{leadListId}
/
prospects
Add leads
curl --request POST \
--url https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platformIds": [
"<string>"
],
"accountId": "<string>"
}
'import requests
url = "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects"
payload = {
"platformIds": ["<string>"],
"accountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({platformIds: ['<string>'], accountId: '<string>'})
};
fetch('https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'platformIds' => [
'<string>'
],
'accountId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects"
payload := strings.NewReader("{\n \"platformIds\": [\n \"<string>\"\n ],\n \"accountId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"platformIds\": [\n \"<string>\"\n ],\n \"accountId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"platformIds\": [\n \"<string>\"\n ],\n \"accountId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"prospects": [
{
"canDm": true,
"followers": 123,
"following": 123,
"tweets": 123,
"createdAt": "2023-11-07T05:31:56Z",
"verified": "<string>",
"isVerified": true,
"isBlueVerified": true,
"profileType": "<string>",
"degree": 123,
"isPremium": true,
"headline": "<string>",
"currentCompany": "<string>",
"industry": "<string>",
"positions": [
"<unknown>"
],
"careerStartedOn": "<string>",
"experience": {},
"seniority": "<string>",
"education": [
"<unknown>"
],
"skills": [
"<unknown>"
],
"languages": [
"<unknown>"
],
"certifications": [
"<unknown>"
],
"id": "<string>",
"platform": "linkedin",
"leadListId": "<string>",
"accountId": "<string>",
"origin": {},
"leadListIds": [
"<string>"
],
"accountIds": [
"<unknown>"
],
"origins": [
"<unknown>"
],
"favorite": true,
"statusId": "<string>",
"valuation": 123,
"hasNote": true,
"labels": [
{
"id": "7c1f0c52-6d1a-4a49-9a63-2b3c4d5e6f70",
"label": "Hot lead",
"color": "#e24c5d"
}
],
"platformId": "<string>",
"handle": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"coverUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"profileUrl": "<string>",
"websiteUrl": "<string>"
}
]
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Path Parameters
The lead list ID.
Body
application/json